[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.Active

Indicates whether the container is Active and allows access to its storage.

## Declaration

Source position: propertystorage.pas line 167

`public property TCustomPropertyStorage.Active : Boolean read FActive write FActive default True;`

## Description

Active is a Boolean property which indicates if the container can access its underlying storage mechanism. In TCustomPropertyStorage, the default value for the property is True.

Active is used in the Save and Restore methods, and controls whether the corresponding actions can be performed using the collection items and storage for the container.